package es.uv.saic.domain;

import java.util.Collection;
import java.util.List;

public class PlantillaConversation {

	private String uid;
	private List<PlantillaComentario> comments;
	
	public PlantillaConversation() {}
	
	public PlantillaConversation(String uid, List<PlantillaComentario> comments) {
		this.uid = uid;
		this.comments = comments;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public List<PlantillaComentario> getComments() {
		return comments;
	}

	public void setComments(List<PlantillaComentario> comments) {
		this.comments = comments;
	}
	
	public boolean add(PlantillaComentario arg0) {
		return comments.add(arg0);
	}

	public boolean addAll(Collection<? extends PlantillaComentario> arg0) {
		return comments.addAll(arg0);
	}

	public boolean addAll(int arg0, Collection<? extends PlantillaComentario> arg1) {
		return comments.addAll(arg0, arg1);
	}

	public void clear() {
		comments.clear();
	}

	public boolean contains(Object arg0) {
		return comments.contains(arg0);
	}

	public PlantillaComentario get(int arg0) {
		return comments.get(arg0);
	}

	public PlantillaComentario remove(int arg0) {
		return comments.remove(arg0);
	}

	public int size() {
		return comments.size();
	}
	
}
